Avant toute chose merci de (re)prendre connaissance de la charte et de la respecter.
Pour résumer :
- Avant de poser une question, je cherche si la réponse existe
- Je suis poli, courtois et je respecte tout un chacun sur le forum
- Si un post m'agace : je m'en éloigne plutôt que de répondre d'une façon qui pourrait être mal interprétée


Il n'est jamais du luxe que de rappeler des choses simples :
Courtoisie, amabilité, politesse et bonne humeur sont les maîtres mots pour un forum sympathique, bienveillant et accueillant :)

Toute la communauté vous remercie

démon KO

(anciennement dénommé plugin OpenZwave)

Modérateur : nechry

Répondre
stephcha51
Timide
Messages : 8
Inscription : 30 nov. 2018, 19:43

démon KO

Message par stephcha51 » 18 mars 2019, 22:06

hello,

je tourne sous jeedom 3.3.18, docké sur mon syno DS415+
j'aimerai utiliser le plugin ZWAVE mais suis confronté à un pbl pour lancer le démon
je dispose d'une clé Z-Wave Plus Z-Stick GEN5 - Aeon Labs W090

coté SYNO, la clé est reconnue comme suit :

Code : Tout sélectionner

root@RZO_HOME:~# dmesg |grep tty
[87670.546916] cdc_acm 2-2:1.0: ttyACM0: USB ACM device

root@RZO_HOME:~# lsusb
Bus 002 Device 006: ID 0658:0200 Sigma Designs, Inc.

root@RZO_HOME:~# usb-devices
T:  Bus=02 Lev=01 Prnt=01 Port=01 Cnt=02 Dev#=  6 Spd=12  MxCh= 0
D:  Ver= 2.00 Cls=02(commc) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0658 ProdID=0200 Rev=00.00
S:  Product=USBDevice
S:  SerialNumber=ffffffd1ffffffb2ffffffdbffffffa0
C:  #Ifs= 2 Cfg#= 1 Atr=80 MxPwr=100mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=02(commc) Sub=02 Prot=01 Driver=cdc_acm
I:  If#= 1 Alt= 0 #EPs= 2 Cls=0a(data ) Sub=00 Prot=00 Driver=cdc_acm
coté JEEDOM
J'accède à l'interface JEEDOM sur le port 5080 -> http://192.168.1.11:5080/index.php...
installation plugin ZWAVE / dépendances OK
configuration :
- port clé Z-wave : /dev/ttyACM0 sélectionné
- port serveur laissé à 8083

Lancement du démon :
Statut NOK / configuration : OK

installation des dépendances refaites 3 fois

Code : Tout sélectionner

apt-get install --force-yes -y build-essential libudev-dev g++
Reading package lists...
Building dependency tree...
Reading state information...
build-essential is already the newest version.
g++ is already the newest version.
libudev-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 198 not upgraded.
apt-get install --force-yes -y cython
Reading package lists...
Building dependency tree...
Reading state information...
cython is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 198 not upgraded.
pip install nose-html
Requirement already satisfied (use --upgrade to upgrade): nose-html in /usr/local/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): nose>=0.11.1 in /usr/lib/python2.7/dist-packages (from nose-html)
Cleaning up...
pip install nose-progressive
Requirement already satisfied (use --upgrade to upgrade): nose-progressive in /usr/local/lib/python2.7/dist-packages
Cleaning up...
pip install coverage
Requirement already satisfied (use --upgrade to upgrade): coverage in /usr/local/lib/python2.7/dist-packages
Cleaning up...
pip install nose
Requirement already satisfied (use --upgrade to upgrade): nose in /usr/lib/python2.7/dist-packages
Cleaning up...
pip install pylint
Downloading/unpacking pylint
  Running setup.py (path:/tmp/pip-build-lRZSMC/pylint/setup.py) egg_info for package pylint
    /usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'python_requires'
      warnings.warn(msg)
    Traceback (most recent call last):
      File "<string>", line 17, in <module>
      File "/tmp/pip-build-lRZSMC/pylint/setup.py", line 177, in <module>
        install()
      File "/tmp/pip-build-lRZSMC/pylint/setup.py", line 174, in install
        **kwargs)
      File "/usr/lib/python2.7/distutils/core.py", line 111, in setup
        _setup_distribution = dist = klass(attrs)
      File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 262, in __init__
        self.fetch_build_eggs(attrs['setup_requires'])
      File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 287, in fetch_build_eggs
        replace_conflicting=True,
      File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 631, in resolve
        dist = best[req.key] = env.best_match(req, ws, installer)
      File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 874, in best_match
        return self.obtain(req, installer)
      File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 886, in obtain
        return installer(requirement)
      File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 338, in fetch_build_egg
        return cmd.easy_install(req)
      File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 636, in easy_install
      File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 856, in install_eggs
        return self.build_and_install(setup_script, setup_base)
      File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 1078, in build_and_install
        self.run_setup(setup_script, setup_base, args)
      File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 1063, in run_setup
        run_setup(setup_script, args)
      File "/usr/lib/python2.7/dist-packages/setuptools/sandbox.py", line 68, in run_setup
        DirectorySandbox(setup_dir).run(runner)
      File "/usr/lib/python2.7/dist-packages/setuptools/sandbox.py", line 114, in run
        return func()
      File "/usr/lib/python2.7/dist-packages/setuptools/sandbox.py", line 67, in runner
        _execfile(setup_script, ns)
      File "/usr/lib/python2.7/dist-packages/setuptools/sandbox.py", line 43, in _execfile
        exec(code, globals, locals)
      File "/tmp/easy_install-hGnJB8/pytest-runner-4.4/setup.py", line 76, in <module>
    
      File "/usr/lib/python2.7/distutils/core.py", line 111, in setup
        _setup_distribution = dist = klass(attrs)
      File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 266, in __init__
        _Distribution.__init__(self,attrs)
      File "/usr/lib/python2.7/distutils/dist.py", line 287, in __init__
        self.finalize_options()
      File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 301, in finalize_options
        ep.load()(self, ep.name, value)
      File "build/bdist.linux-x86_64/egg/setuptools_scm/integration.py", line 10, in version_keyword
      File "build/bdist.linux-x86_64/egg/setuptools_scm/version.py", line 66, in _warn_if_setuptools_outdated
    setuptools_scm.version.SetuptoolsOutdatedWarning: your setuptools is too old (<12)
    Complete output from command python setup.py egg_info:
    /usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'python_requires'

  warnings.warn(msg)

Traceback (most recent call last):

  File "<string>", line 17, in <module>

  File "/tmp/pip-build-lRZSMC/pylint/setup.py", line 177, in <module>

    install()

  File "/tmp/pip-build-lRZSMC/pylint/setup.py", line 174, in install

    **kwargs)

  File "/usr/lib/python2.7/distutils/core.py", line 111, in setup

    _setup_distribution = dist = klass(attrs)

  File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 262, in __init__

    self.fetch_build_eggs(attrs['setup_requires'])

  File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 287, in fetch_build_eggs

    replace_conflicting=True,

  File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 631, in resolve

    dist = best[req.key] = env.best_match(req, ws, installer)

  File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 874, in best_match

    return self.obtain(req, installer)

  File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 886, in obtain

    return installer(requirement)

  File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 338, in fetch_build_egg

    return cmd.easy_install(req)

  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 636, in easy_install

    return self.install_item(spec, dist.location, tmpdir, deps)

  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 666, in install_item

    dists = self.install_eggs(spec, download, tmpdir)

  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 856, in install_eggs

    return self.build_and_install(setup_script, setup_base)

  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 1078, in build_and_install

    self.run_setup(setup_script, setup_base, args)

  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 1063, in run_setup

    run_setup(setup_script, args)

  File "/usr/lib/python2.7/dist-packages/setuptools/sandbox.py", line 68, in run_setup

    DirectorySandbox(setup_dir).run(runner)

  File "/usr/lib/python2.7/dist-packages/setuptools/sandbox.py", line 114, in run

    return func()

  File "/usr/lib/python2.7/dist-packages/setuptools/sandbox.py", line 67, in runner

    _execfile(setup_script, ns)

  File "/usr/lib/python2.7/dist-packages/setuptools/sandbox.py", line 43, in _execfile

    exec(code, globals, locals)

  File "/tmp/easy_install-hGnJB8/pytest-runner-4.4/setup.py", line 76, in <module>



  File "/usr/lib/python2.7/distutils/core.py", line 111, in setup

    _setup_distribution = dist = klass(attrs)

  File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 266, in __init__

    _Distribution.__init__(self,attrs)

  File "/usr/lib/python2.7/distutils/dist.py", line 287, in __init__

    self.finalize_options()

  File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 301, in finalize_options

    ep.load()(self, ep.name, value)

  File "build/bdist.linux-x86_64/egg/setuptools_scm/integration.py", line 10, in version_keyword

  File "build/bdist.linux-x86_64/egg/setuptools_scm/version.py", line 66, in _warn_if_setuptools_outdated

setuptools_scm.version.SetuptoolsOutdatedWarning: your setuptools is too old (<12)

----------------------------------------
Cleaning up...
Command python setup.py egg_info failed with error code 1 in /tmp/pip-build-lRZSMC/pylint
Storing debug log for failure in /root/.pip/pip.log
Makefile:159: recipe for target 'tests-deps' failed
make: *** [tests-deps] Error 1
sed -i -e '253s/.*//' openzwave/cpp/src/value_classes/ValueID.h
cd openzwave && make
make[1]: Entering directory '/opt/python-openzwave/openzwave'
CPPFLAGS= make -C /opt/python-openzwave/openzwave/cpp/build/ -w 
make[2]: Entering directory '/opt/python-openzwave/openzwave/cpp/build'
Building OpenZWave Version 1.4.-1
Building tinystr.o
Building tinyxmlerror.o
Building tinyxml.o
Building tinyxmlparser.o
Building hid.o
Building aeskey.o
Building aescrypt.o
Building aestab.o
Building aes_modes.o
Building MultiCmd.o
Building ThermostatSetpoint.o
Building SensorBinary.o
Building Language.o
Building Version.o
Building WakeUp.o
Building Color.o
Building Meter.o
Building Indicator.o
Building CRC16Encap.o
Building MeterPulse.o
Building DoorLock.o
Building ThermostatFanMode.o
Building SwitchMultilevel.o
Building Configuration.o
Building SwitchToggleBinary.o
Building SensorMultilevel.o
Building UserCode.o
Building SensorAlarm.o
Building TimeParameters.o
Building BarrierOperator.o
Building ThermostatFanState.o
Building Hail.o
Building ApplicationStatus.o
Building CentralScene.o
Building ZWavePlusInfo.o
Building ClimateControlSchedule.o
Building Protection.o
Building NodeNaming.o
Building ManufacturerProprietary.o
Building BasicWindowCovering.o
Building SwitchAll.o
Building Lock.o
Building Association.o
Building ThermostatOperatingState.o
Building Clock.o
Building SceneActivation.o
Building Powerlevel.o
Building MultiInstance.o
Building AssociationCommandConfiguration.o
Building DeviceResetLocally.o
Building Battery.o
Building MultiChannelAssociation.o
Building SoundSwitch.o
Building Security.o
Building Proprietary.o
Building SwitchBinary.o
Building Alarm.o
Building CommandClasses.o
Building ManufacturerSpecific.o
Building NoOperation.o
Building EnergyProduction.o
Building Basic.o
Building CommandClass.o
Building DoorLockLogging.o
Building ThermostatMode.o
Building ControllerReplication.o
Building SwitchToggleMultilevel.o
Building Value.o
Building ValueList.o
Building ValueButton.o
Building ValueInt.o
Building ValueStore.o
Building ValueDecimal.o
Building ValueRaw.o
Building ValueString.o
Building ValueByte.o
Building ValueBool.o
Building ValueSchedule.o
Building ValueShort.o
Building Controller.o
Building Wait.o
Building Thread.o
Building Stream.o
Building Log.o
Building HidController.o
Building Mutex.o
Building SerialController.o
Building Event.o
Building FileOps.o
Building TimeStamp.o
Building FileOpsImpl.o
Building TimeStampImpl.o
Building WaitImpl.o
Building ThreadImpl.o
Building LogImpl.o
Building MutexImpl.o
Building SerialControllerImpl.o
Building EventImpl.o
Building Options.o
Building Scene.o
Building Utils.o
Building Driver.o
Building ZWSecurity.o
Building Group.o
Building Node.o
Building Manager.o
Building Msg.o
Building Notification.o
Creating vers.cpp
Building vers.o
Linking Static Library
Linking Shared Library
Making ozw_config file
make[2]: Leaving directory '/opt/python-openzwave/openzwave/cpp/build'
CPPFLAGS= make -C /opt/python-openzwave/openzwave/cpp/examples/MinOZW/ -w 
make[2]: Entering directory '/opt/python-openzwave/openzwave/cpp/examples/MinOZW'
Building Main.o
Linking /opt/python-openzwave/openzwave/.lib/MinOZW
g++   -o /opt/python-openzwave/openzwave/.lib/MinOZW /opt/python-openzwave/openzwave/.lib/Main.o /opt/python-openzwave/openzwave/libopenzwave.so -pthread
Creating Temporary Shell Launch Script
make[2]: Leaving directory '/opt/python-openzwave/openzwave/cpp/examples/MinOZW'
make[1]: Leaving directory '/opt/python-openzwave/openzwave'
python setup-lib.py build
running build
running build_ext
cythoning src-lib/libopenzwave/libopenzwave.pyx to src-lib/libopenzwave/libopenzwave.cpp
building 'libopenzwave' extension
creating build
creating build/temp.linux-x86_64-2.7
creating build/temp.linux-x86_64-2.7/src-lib
creating build/temp.linux-x86_64-2.7/src-lib/libopenzwave
x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security -fPIC -DPY_SSIZE_T_CLEAN=1 -Iopenzwave/cpp/src/ -Iopenzwave/cpp/src/value_classes/ -Iopenzwave/cpp/src/platform/ -Iopenzwave/cpp/build/linux/ -I/usr/include/python2.7 -c src-lib/libopenzwave/libopenzwave.cpp -o build/temp.linux-x86_64-2.7/src-lib/libopenzwave/libopenzwave.o
cc1plus: warning: command line option '-Wstrict-prototypes' is valid for C/ObjC but not for C++
src-lib/libopenzwave/libopenzwave.cpp:3:0: warning: "PY_SSIZE_T_CLEAN" redefined
 #define PY_SSIZE_T_CLEAN
 ^
<command-line>:0:0: note: this is the location of the previous definition
In file included from openzwave/cpp/src/aes/aescpp.h:26:0,
                 from openzwave/cpp/src/Driver.h:42,
                 from src-lib/libopenzwave/libopenzwave.cpp:249:
openzwave/cpp/src/aes/aes.h:75:0: warning: ignoring #pragma warning  [-Wunknown-pragmas]
 #pragma warning( disable : 4324 )
 ^
openzwave/cpp/src/aes/aes.h:93:0: warning: ignoring #pragma warning  [-Wunknown-pragmas]
 #pragma warning( default : 4324 )
 ^
src-lib/libopenzwave/libopenzwave.cpp: In function 'PyObject* __pyx_pf_12libopenzwave_9PyManager_268beginControllerCommand(__pyx_obj_12libopenzwave_PyManager*, PyObject*, PyObject*, PyObject*, PyObject*, PyObject*, PyObject*)':
src-lib/libopenzwave/libopenzwave.cpp:27543:204: warning: 'bool OpenZWave::Manager::BeginControllerCommand(uint32, OpenZWave::Driver::ControllerCommand, OpenZWave::Driver::pfnControllerCallback_t, void*, bool, uint8, uint8)' is deprecated (declared at openzwave/cpp/src/Manager.h:1731) [-Wdeprecated-declarations]
   __pyx_t_6 = __Pyx_PyBool_FromLong(__pyx_v_self->manager->BeginControllerCommand(__pyx_t_1, __pyx_t_2, __pyx_f_12libopenzwave_ctrl_callback, ((void *)__pyx_v_pythonfunc), __pyx_t_3, __pyx_t_4, __pyx_t_5)); if (unlikely(!__pyx_t_6)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 4120; __pyx_clineno = __LINE__; goto __pyx_L1_error;}
                                                                                                                                                                                                            ^
src-lib/libopenzwave/libopenzwave.cpp:329:36: note: in definition of macro '__Pyx_PyBool_FromLong'
 #define __Pyx_PyBool_FromLong(b) ((b) ? (Py_INCREF(Py_True), Py_True) : (Py_INCREF(Py_False), Py_False))
                                    ^
creating build/lib.linux-x86_64-2.7
c++ -pthread -shared -Wl,-O1 -Wl,-Bsymbolic-functions -Wl,-z,relro -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security -Wl,-z,relro -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security build/temp.linux-x86_64-2.7/src-lib/libopenzwave/libopenzwave.o openzwave/libopenzwave.a -ludev -lstdc++ -o build/lib.linux-x86_64-2.7/libopenzwave.so
python setup-lib.py install
running install
running bdist_egg
running egg_info
creating src-lib/libopenzwave.egg-info
writing requirements to src-lib/libopenzwave.egg-info/requires.txt
writing src-lib/libopenzwave.egg-info/PKG-INFO
writing top-level names to src-lib/libopenzwave.egg-info/top_level.txt
writing dependency_links to src-lib/libopenzwave.egg-info/dependency_links.txt
writing manifest file 'src-lib/libopenzwave.egg-info/SOURCES.txt'
reading manifest file 'src-lib/libopenzwave.egg-info/SOURCES.txt'
writing manifest file 'src-lib/libopenzwave.egg-info/SOURCES.txt'
installing library code to build/bdist.linux-x86_64/egg
running install_lib
running build_ext
skipping 'src-lib/libopenzwave/libopenzwave.cpp' Cython extension (up-to-date)
creating build/bdist.linux-x86_64
creating build/bdist.linux-x86_64/egg
copying build/lib.linux-x86_64-2.7/libopenzwave.so -> build/bdist.linux-x86_64/egg
creating stub loader for libopenzwave.so
byte-compiling build/bdist.linux-x86_64/egg/libopenzwave.py to libopenzwave.pyc
installing package data to build/bdist.linux-x86_64/egg
running install_data
creating build/bdist.linux-x86_64/egg/config
creating build/bdist.linux-x86_64/egg/EGG-INFO
copying src-lib/libopenzwave.egg-info/PKG-INFO -> build/bdist.linux-x86_64/egg/EGG-INFO
copying src-lib/libopenzwave.egg-info/SOURCES.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying src-lib/libopenzwave.egg-info/dependency_links.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying src-lib/libopenzwave.egg-info/not-zip-safe -> build/bdist.linux-x86_64/egg/EGG-INFO
copying src-lib/libopenzwave.egg-info/requires.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying src-lib/libopenzwave.egg-info/top_level.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
writing build/bdist.linux-x86_64/egg/EGG-INFO/native_libs.txt
creating dist
creating 'dist/libopenzwave-0.3.1-py2.7-linux-x86_64.egg' and adding 'build/bdist.linux-x86_64/egg' to it
removing 'build/bdist.linux-x86_64/egg' (and everything under it)
Processing libopenzwave-0.3.1-py2.7-linux-x86_64.egg
creating /usr/local/lib/python2.7/dist-packages/libopenzwave-0.3.1-py2.7-linux-x86_64.egg
Extracting libopenzwave-0.3.1-py2.7-linux-x86_64.egg to /usr/local/lib/python2.7/dist-packages
Adding libopenzwave 0.3.1 to easy-install.pth file

Installed /usr/local/lib/python2.7/dist-packages/libopenzwave-0.3.1-py2.7-linux-x86_64.egg
Processing dependencies for libopenzwave==0.3.1
Searching for six==1.8.0
Best match: six 1.8.0
six 1.8.0 is already the active version in easy-install.pth

Using /usr/lib/python2.7/dist-packages
Finished processing dependencies for libopenzwave==0.3.1

Installation of lib finished.
python setup-api.py install
running install
running bdist_egg
running egg_info
creating src-api/openzwave.egg-info
writing requirements to src-api/openzwave.egg-info/requires.txt
writing src-api/openzwave.egg-info/PKG-INFO
writing top-level names to src-api/openzwave.egg-info/top_level.txt
writing dependency_links to src-api/openzwave.egg-info/dependency_links.txt
writing manifest file 'src-api/openzwave.egg-info/SOURCES.txt'
reading manifest file 'src-api/openzwave.egg-info/SOURCES.txt'
writing manifest file 'src-api/openzwave.egg-info/SOURCES.txt'
installing library code to build/bdist.linux-x86_64/egg
running install_lib
running build_py
creating build/lib.linux-x86_64-2.7/openzwave
copying src-api/openzwave/__init__.py -> build/lib.linux-x86_64-2.7/openzwave
copying src-api/openzwave/command.py -> build/lib.linux-x86_64-2.7/openzwave
copying src-api/openzwave/controller.py -> build/lib.linux-x86_64-2.7/openzwave
copying src-api/openzwave/group.py -> build/lib.linux-x86_64-2.7/openzwave
copying src-api/openzwave/network.py -> build/lib.linux-x86_64-2.7/openzwave
copying src-api/openzwave/node.py -> build/lib.linux-x86_64-2.7/openzwave
copying src-api/openzwave/object.py -> build/lib.linux-x86_64-2.7/openzwave
copying src-api/openzwave/option.py -> build/lib.linux-x86_64-2.7/openzwave
copying src-api/openzwave/scene.py -> build/lib.linux-x86_64-2.7/openzwave
copying src-api/openzwave/singleton.py -> build/lib.linux-x86_64-2.7/openzwave
copying src-api/openzwave/value.py -> build/lib.linux-x86_64-2.7/openzwave
creating build/bdist.linux-x86_64/egg
copying build/lib.linux-x86_64-2.7/libopenzwave.so -> build/bdist.linux-x86_64/egg
creating build/bdist.linux-x86_64/egg/openzwave
copying build/lib.linux-x86_64-2.7/openzwave/__init__.py -> build/bdist.linux-x86_64/egg/openzwave
copying build/lib.linux-x86_64-2.7/openzwave/command.py -> build/bdist.linux-x86_64/egg/openzwave
copying build/lib.linux-x86_64-2.7/openzwave/controller.py -> build/bdist.linux-x86_64/egg/openzwave
copying build/lib.linux-x86_64-2.7/openzwave/group.py -> build/bdist.linux-x86_64/egg/openzwave
copying build/lib.linux-x86_64-2.7/openzwave/network.py -> build/bdist.linux-x86_64/egg/openzwave
copying build/lib.linux-x86_64-2.7/openzwave/node.py -> build/bdist.linux-x86_64/egg/openzwave
copying build/lib.linux-x86_64-2.7/openzwave/object.py -> build/bdist.linux-x86_64/egg/openzwave
copying build/lib.linux-x86_64-2.7/openzwave/option.py -> build/bdist.linux-x86_64/egg/openzwave
copying build/lib.linux-x86_64-2.7/openzwave/scene.py -> build/bdist.linux-x86_64/egg/openzwave
copying build/lib.linux-x86_64-2.7/openzwave/singleton.py -> build/bdist.linux-x86_64/egg/openzwave
copying build/lib.linux-x86_64-2.7/openzwave/value.py -> build/bdist.linux-x86_64/egg/openzwave
byte-compiling build/bdist.linux-x86_64/egg/openzwave/__init__.py to __init__.pyc
byte-compiling build/bdist.linux-x86_64/egg/openzwave/command.py to command.pyc
byte-compiling build/bdist.linux-x86_64/egg/openzwave/controller.py to controller.pyc
byte-compiling build/bdist.linux-x86_64/egg/openzwave/group.py to group.pyc
byte-compiling build/bdist.linux-x86_64/egg/openzwave/network.py to network.pyc
byte-compiling build/bdist.linux-x86_64/egg/openzwave/node.py to node.pyc
byte-compiling build/bdist.linux-x86_64/egg/openzwave/object.py to object.pyc
byte-compiling build/bdist.linux-x86_64/egg/openzwave/option.py to option.pyc
byte-compiling build/bdist.linux-x86_64/egg/openzwave/scene.py to scene.pyc
byte-compiling build/bdist.linux-x86_64/egg/openzwave/singleton.py to singleton.pyc
byte-compiling build/bdist.linux-x86_64/egg/openzwave/value.py to value.pyc
creating build/bdist.linux-x86_64/egg/EGG-INFO
copying src-api/openzwave.egg-info/PKG-INFO -> build/bdist.linux-x86_64/egg/EGG-INFO
copying src-api/openzwave.egg-info/SOURCES.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying src-api/openzwave.egg-info/dependency_links.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying src-api/openzwave.egg-info/not-zip-safe -> build/bdist.linux-x86_64/egg/EGG-INFO
copying src-api/openzwave.egg-info/requires.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying src-api/openzwave.egg-info/top_level.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
writing build/bdist.linux-x86_64/egg/EGG-INFO/native_libs.txt
creating 'dist/openzwave-0.3.1-py2.7.egg' and adding 'build/bdist.linux-x86_64/egg' to it
removing 'build/bdist.linux-x86_64/egg' (and everything under it)
Processing openzwave-0.3.1-py2.7.egg
creating /usr/local/lib/python2.7/dist-packages/openzwave-0.3.1-py2.7.egg
Extracting openzwave-0.3.1-py2.7.egg to /usr/local/lib/python2.7/dist-packages
Adding openzwave 0.3.1 to easy-install.pth file

Installed /usr/local/lib/python2.7/dist-packages/openzwave-0.3.1-py2.7.egg
Processing dependencies for openzwave==0.3.1
Searching for libopenzwave==0.3.1
Best match: libopenzwave 0.3.1
Processing libopenzwave-0.3.1-py2.7-linux-x86_64.egg
libopenzwave 0.3.1 is already the active version in easy-install.pth

Using /usr/local/lib/python2.7/dist-packages/libopenzwave-0.3.1-py2.7-linux-x86_64.egg
Searching for Louie==1.1
Best match: Louie 1.1
Louie 1.1 is already the active version in easy-install.pth

Using /usr/lib/python2.7/dist-packages
Searching for six==1.8.0
Best match: six 1.8.0
six 1.8.0 is already the active version in easy-install.pth

Using /usr/lib/python2.7/dist-packages
Searching for nose==1.3.4
Best match: nose 1.3.4
nose 1.3.4 is already the active version in easy-install.pth
Installing nosetests script to /usr/local/bin
Installing nosetests-2.7 script to /usr/local/bin

Using /usr/lib/python2.7/dist-packages
Finished processing dependencies for openzwave==0.3.1

Installation of API finished.
Everything is successfully installed!
config modules

Code : Tout sélectionner

Lancement de la synchronisation des configurations
Déplacement dans le répertoire de travail
Récupération des sources (cette étape peut durer quelques minutes)
Cloning into 'plugin-openzwave'...
Suppression des configurations Jeedom existantes
Copie des nouvelles configurations Jeedom
Suppression des configurations Openzwave existantes
Copie des nouvelles configurations Openzwave
Nettoyage du répertoire de travail
Vos configurations sont maintenant à jour !
Le démon va se relancer, vous pouvez fermer cette fenêtre
Log:

Code : Tout sélectionner

[2019-03-18 21:41:27][ERROR] : Impossible de lancer le démon openzwave, relancer le démon en debug et vérifiez la log
[2019-03-18 21:42:02][ERROR] : Attention je pense qu'il y a un soucis avec le démon que j'ai relancé plus de 3 fois consecutivement
[2019-03-18 21:42:03][INFO] : Lancement démon openzwave : /usr/bin/python /var/www/html/plugins/openzwave/core/class/../../resources/openzwaved/openzwaved.py  --device /dev/ttyACM0 --loglevel debug --port 8083 --config_folder /var/www/html/plugins/openzwave/core/class/../../resources/openzwaved/config --data_folder /var/www/html/plugins/openzwave/core/class/../../data --callback http://127.0.0.1:80/plugins/openzwave/core/php/jeeZwave.php --apikey HwjlNZll8K5mhwO7wCT98I5xh1wCI8w9 --suppressRefresh 0 --cycle 0.3 --pid /tmp/jeedom/openzwave/deamon.pid
('The dependency of openzwave plugin are not installed. Please check the plugin openzwave configuration page for instructions', 'error')
('Error: invalid syntax (web.py, line 205)', 'error')
je ne trouve nul part de fichier web.py

ne sachant pas si le plugin peut fonctionner sans le démon, je suis allé dans la gestion puis j'ai tenté de synchroniser.
résultat :

Code : Tout sélectionner

Echec de la requête http : http://127.0.0.1:8083/network?type=info&info=getNodesList&apikey=Hwjzlkll8K5mhwO7wCT98I5xh1wCI8w9 Curl error : Failed to connect to 127.0.0.1 port 8083: Connection refused
qqun aurait une idée svp ?
merci d'avance.

stephcha51
Timide
Messages : 8
Inscription : 30 nov. 2018, 19:43

Re: démon KO

Message par stephcha51 » 20 mars 2019, 13:10

pour info :

Code : Tout sélectionner

root@JEEDOM:/var/www# ll                                                  
total 0                                                                         
drwxrwxr-x 1 root     root       8 Dec 18  2016 ./                              
drwxr-xr-x 1 root     root      96 Dec 18  2016 ../                             
drwxrwxr-x 1 www-data www-data 834 Mar 20 12:00 html/     


je ne sais pas quoi vérifier d'autre :(

stephcha51
Timide
Messages : 8
Inscription : 30 nov. 2018, 19:43

Re: démon KO

Message par stephcha51 » 20 mars 2019, 21:49

réinstallation complète de JEEDOM, même constat.
Est ce que j'ai raté qqchose svp ?

stephcha51
Timide
Messages : 8
Inscription : 30 nov. 2018, 19:43

Re: démon KO

Message par stephcha51 » 21 mars 2019, 08:28

Y a t'il un incohérence dans ce que j'ai posté ?
Qqun aurait une idée pour résoudre mon pbl?

Je post en désespoir de cause car je n'ai pas trouvé par mes propres moyens.

Avatar de l’utilisateur
PrFalKeN
Actif
Messages : 839
Inscription : 27 nov. 2017, 18:51

Re: démon KO

Message par PrFalKeN » 21 mars 2019, 08:55

'Jour,

tu as un souci avec python
Running setup.py (path:/tmp/pip-build-lRZSMC/pylint/setup.py) egg_info for package pylint
/usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'python_requires'
warnings.warn(msg)
@+
W.O.P.R

stephcha51
Timide
Messages : 8
Inscription : 30 nov. 2018, 19:43

Re: démon KO

Message par stephcha51 » 27 mars 2019, 20:14

:( est ce que c'est le pugin qui merdoie ou est ce le conteneur jeedom sous docker qui n'est pas bon ?
Dernière édition par stephcha51 le 30 mars 2019, 12:11, édité 1 fois.

stephcha51
Timide
Messages : 8
Inscription : 30 nov. 2018, 19:43

Re: démon KO

Message par stephcha51 » 30 mars 2019, 12:06

PrFalKeN a écrit :
21 mars 2019, 08:55
'Jour,

tu as un souci avec python
Running setup.py (path:/tmp/pip-build-lRZSMC/pylint/setup.py) egg_info for package pylint
/usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'python_requires'
warnings.warn(msg)
Merci de ton aide PrFalKeN.

Malgré tout, après avoir purgé tout ce qui a attrait à python, après avoir relancé l'installation des dépendances, message d'erreur identique à l'issue de l'installation. :cry:

J'ai aussi essayé de purger tout puis de réinstaller python par moi même : KO, càd python s'installe mais message d'erreur dans identique dans mes logs

tu aurais une autre idée ?

stephcha51
Timide
Messages : 8
Inscription : 30 nov. 2018, 19:43

Re: démon KO

Message par stephcha51 » 31 mars 2019, 11:03

J'ai vire l'image Docker de Jeedom, puis retelechargé à nouveau. (Dans l'hypothèse où il y aurait un pbl avec celle ci). La création d'un nouveau conteneur à partir de la nouvelle image, l'installation et la configuration de zwave reste inchangés. Je pète un plomb :cry:

theshadow
Timide
Messages : 2
Inscription : 04 avr. 2019, 18:20

Re: démon KO

Message par theshadow » 04 avr. 2019, 18:24

Bonsoir, j'ai le même message en partant de l'image de Bronche pour Jeedom Mini+. Je suis intéressé si quelqu'un a une amorce de réponse.

La seule hypothèse que j'ai serai vis a vis de cette erreur quand je fais un apt-get update :

W: Failed to fetch http://httpredir.debian.org/debian/dist ... ce/Sources 404 Not Found

W: Failed to fetch http://httpredir.debian.org/debian/dist ... f/Packages 404 Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.

Normal vu que Jessie ne bénéficie plus d'update officielle. une chance que ce soit lié ?
Dernière édition par theshadow le 04 avr. 2019, 23:26, édité 1 fois.

Bosquetia
Actif
Messages : 6719
Inscription : 10 mai 2016, 07:54

Re: démon KO

Message par Bosquetia » 04 avr. 2019, 19:14

Hello

Déjà sur une fresh install je passerai a stretch et plus jessie

theshadow
Timide
Messages : 2
Inscription : 04 avr. 2019, 18:20

Re: démon KO

Message par theshadow » 04 avr. 2019, 23:25

J'aimerai bien, mais j'ai besoin d'avoir jeedom sur SSD, j'ai pas cherché par ailleurs, mais Bronche indique que sur la jeebord mini+, il n'y a que la distribution en Jessie qui le permette :/

PHDB
Timide
Messages : 279
Inscription : 01 mars 2016, 13:42

Re: démon KO

Message par PHDB » 26 avr. 2019, 18:49

@theshadow: Meme probleme pour moi suite au tuto de bronche pour passer jeedom sur SSD avec ma Mini+.
Pb pour faire apt-get update et demon zwave qui renvoie la meme erreur :(

Code : Tout sélectionner

[2019-04-26 18:45:19][ERROR] : Attention je pense qu'il y a un soucis avec le démon que j'ai relancé plus de 3 fois consecutivement
('The dependency of openzwave plugin are not installed. Please check the plugin openzwave configuration page for instructions', 'error')
('Error: invalid syntax (web.py, line 205)', 'error')
Tu as fini par resoudre ton souci? et si oui comment?

Guik
Timide
Messages : 5
Inscription : 19 mai 2015, 19:24

Re: démon KO

Message par Guik » 20 juin 2019, 19:18

Problème similaire même après une réinstallation.
J'ai réussi à résoudre le problème, mon image docker tournait sur debian 8 et une dépendance openzwave demande une version disponible sur debian9.
Migration image docker debian8 -> debian9 a résolu le problème.

Répondre

Revenir vers « Plugin Z-Wave »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 3 invités